package yi.iu.processor.resample;

public class NearestResampler extends Resampler
{
    public NearestResampler () {
        super(); fwidth=0.5;
    }
    
    public NearestResampler(int w, int h) {
        super(w,h); fwidth=0.5;
    }

    public double filter(double value)
    {
        if ((value > -0.5)&&(value <= 0.5)) return 1.0;
        else return 0.0d;
    }

}